Index: issm/trunk-jpl/test/NightlyRun/test1108.py
===================================================================
--- issm/trunk-jpl/test/NightlyRun/test1108.py	(revision 23793)
+++ issm/trunk-jpl/test/NightlyRun/test1108.py	(revision 24214)
@@ -13,5 +13,5 @@
 
 """
-This test is a test from the ISMP-HOM Intercomparison project.
+This test is a test from the ISMP - HOM Intercomparison project.
 Pattyn and Payne 2006
 """
@@ -22,9 +22,9 @@
 
 for L in L_list:
-    nx = 30    #numberof nodes in x direction
+    nx = 30  #numberof nodes in x direction
     ny = 30
     md = model()
     md = squaremesh(md, L, L, nx, ny)
-    md = setmask(md, '', '')    #ice sheet test
+    md = setmask(md, '', '')  #ice sheet test
     md = parameterize(md, '../Par/ISMIPD.py')
     md.extrude(10, 1.)
@@ -32,5 +32,5 @@
     md = setflowequation(md, 'HO', 'all')
 
-    #We need one grd on dirichlet: the 4 corners are set to zero
+#We need one grd on dirichlet: the 4 corners are set to zero
     md.stressbalance.spcvx = np.nan * np.ones((md.mesh.numberofvertices))
     md.stressbalance.spcvy = np.nan * np.ones((md.mesh.numberofvertices))
@@ -48,14 +48,14 @@
     md.stressbalance.spcvz[pos] = 0.
 
-    #Create MPCs to have periodic boundary conditions
+#Create MPCs to have periodic boundary conditions
     posx = np.nonzero(md.mesh.x == 0.)[0]
     posx2 = np.nonzero(md.mesh.x == np.max(md.mesh.x))[0]
 
-    posy = np.intersect1d(np.intersect1d(np.where(md.mesh.y == 0.), np.where(md.mesh.x != 0.)), np.where(md.mesh.x != np.max(md.mesh.x)))[0]    #Don't take the same nodes two times
+    posy = np.intersect1d(np.intersect1d(np.where(md.mesh.y == 0.), np.where(md.mesh.x != 0.)), np.where(md.mesh.x != np.max(md.mesh.x)))[0]  #Don't take the same nodes two times
     posy2 = np.intersect1d(np.intersect1d(np.where(md.mesh.y == np.max(md.mesh.y)), np.where(md.mesh.x != 0.)), np.where(md.mesh.x != np.max(md.mesh.x)))[0]
 
-    md.stressbalance.vertex_pairing = np.vstack((np.hstack((posx.reshape(-1, 1) + 1, posx2.reshape(-1, 1) + 1)), np.hstack((posy.reshape(-1, 1) + 1, posy2.reshape(-1, 1) + 1))))
+    md.stressbalance.vertex_pairing = np.vstack((np.hstack((posx.reshape(- 1, 1) + 1, posx2.reshape(- 1, 1) + 1)), np.hstack((posy.reshape(- 1, 1) + 1, posy2.reshape(- 1, 1) + 1))))
 
-    #Compute the stressbalance
+#Compute the stressbalance
     md.cluster = generic('name', gethostname(), 'np', 8)
     md.verbose = verbose('convergence', True)
@@ -64,15 +64,15 @@
     md.stressbalance.abstol = np.nan
     md.stressbalance.vertex_pairing = np.empty((0, 2))
-    #We need one grid on dirichlet: the 4 corners are set to zero
+#We need one grid on dirichlet: the 4 corners are set to zero
     md.stressbalance.spcvx = np.nan * np.ones((md.mesh.numberofvertices))
     md.stressbalance.spcvy = np.nan * np.ones((md.mesh.numberofvertices))
     md.stressbalance.spcvz = np.nan * np.ones((md.mesh.numberofvertices))
-    pos = np.nonzero(logical_or.reduce_n(md.mesh.y == 0., md.mesh.x == 0., md.mesh.x == np.max(md.mesh.x), md.mesh.y == np.max(md.mesh.y)))    #Don't take the same nodes two times
-    md.stressbalance.spcvx[pos] = md.results.StressbalanceSolution.Vx[pos]
-    md.stressbalance.spcvy[pos] = md.results.StressbalanceSolution.Vy[pos]
+    pos = np.nonzero(np.logical_or.reduce((md.mesh.y == 0., md.mesh.x == 0., md.mesh.x == np.max(md.mesh.x), md.mesh.y == np.max(md.mesh.y))))  #Don't take the same nodes two times
+    md.stressbalance.spcvx[pos] = np.squeeze(md.results.StressbalanceSolution.Vx[pos])
+    md.stressbalance.spcvy[pos] = np.squeeze(md.results.StressbalanceSolution.Vy[pos])
     md = setflowequation(md, 'FS', 'all')
     md = solve(md, 'Stressbalance')
 
-    #Plot the results and save them
+#Plot the results and save them
     vx = md.results.StressbalanceSolution.Vx
     vy = md.results.StressbalanceSolution.Vy
@@ -80,5 +80,5 @@
     results.append(md.results.StressbalanceSolution)
 
-#       plotmodel(md, 'data', vx, 'data', vy, 'data', vz, 'layer#all', md.mesh.numberoflayers)
+#       plotmodel(md, 'data', vx, 'data', vy, 'data', vz, 'layer  #all', md.mesh.numberoflayers)
 
 #Fields and tolerances to track changes
